gr::dab::ofdm_coarse_frequency_correct_impl Class Reference

`#include <ofdm_coarse_frequency_correct_impl.h>`

Inheritance diagram for gr::dab::ofdm_coarse_frequency_correct_impl:
[legend]

## Public Member Functions

| ofdm_coarse_frequency_correct_impl (unsigned int fft_length, unsigned int num_carriers, unsigned int cp_length)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::ofdm_coarse_frequency_correct
typedef std::shared_ptr< ofdm_coarse_frequency_correct > | sptr
Static Public Member Functions inherited from gr::dab::ofdm_coarse_frequency_correct
static sptr | make (unsigned int fft_length, unsigned int num_carriers, unsigned int cp_length)
| Return a shared_ptr to a new instance of dab::ofdm_coarse_frequency_correct.

## Constructor & Destructor Documentation

## ofdm_coarse_frequency_correct_impl()

gr::dab::ofdm_coarse_frequency_correct_impl::ofdm_coarse_frequency_correct_impl | ( | unsigned int | fft_length,
|  | unsigned int | num_carriers,
|  | unsigned int | cp_length )

## Member Function Documentation

## work()

int gr::dab::ofdm_coarse_frequency_correct_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- ofdm_coarse_frequency_correct_impl.h